# Uses of Class
org.eclipse.ecf.filetransfer.SendFileTransferException

Packages that use SendFileTransferException
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.outgoing

## Uses of SendFileTransferException in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that throw SendFileTransferException
Modifier and Type
Method
Description
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, File localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.
`void`
ISendFileTransferContainerAdapter.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`
Send request for outgoing file transfer.

## Uses of SendFileTransferException in org.eclipse.ecf.provider.filetransfer.outgoing

Methods in org.eclipse.ecf.provider.filetransfer.outgoing that throw SendFileTransferException
Modifier and Type
Method
Description
`protected abstract void`
AbstractOutgoingFileTransfer.`openStreams()`
Open incoming and outgoing streams associated with this file transfer.
`protected void`
AbstractUrlConnectionOutgoingFileTransfer.`openStreams()`
`protected void`
LocalFileOutgoingFileTransfer.`openStreams()`
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, File localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
AbstractOutgoingFileTransfer.`sendOutgoingRequest(IFileID targetReceiver, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map ops)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, File outgoingFile, IFileTransferListener transferListener, Map options)`
`void`
MultiProtocolOutgoingAdapter.`sendOutgoingRequest(IFileID targetID, IFileTransferInfo localFileToSend, IFileTransferListener transferListener, Map options)`